actor: AcceptanceAdminTester
bootstrap: _bootstrap.php
modules:
    enabled:
        - Asserts
        - \OxidEsales\EshopCommunity\Tests\Codeception\Helper\Acceptance
        - WebDriver:
            url: '%SHOP_URL%'
            browser: '%BROWSER%'
            port: '%SELENIUM_SERVER_PORT%'
            host: '%SELENIUM_SERVER_HOST%'
            window_size: maximize
            clear_cookies: true
            restart: true
            capabilities:
                chromeOptions:
                    excludeSwitches: ['enable-automation']
        - \OxidEsales\Codeception\Module\ShopSetup:
            dump: '%DUMP_PATH%'
            fixtures: '%FIXTURES_PATH%'
        - Db:
            dsn: 'mysql:host=%DB_HOST%;dbname=%DB_NAME%;charset=utf8'
            user: '%DB_USERNAME%'
            password: '%DB_PASSWORD%'
            port: '%DB_PORT%'
            dump: '%DUMP_PATH%'
            mysql_config: '%MYSQL_CONFIG_PATH%'
            populate: true # run populator before all tests
            cleanup: true # run populator before each test
            populator: 'mysql --defaults-file=$mysql_config --default-character-set=utf8 $dbname < $dump'
            initial_queries:
                - 'SET @@SESSION.sql_mode=""'
        - \OxidEsales\Codeception\Module\Oxideshop:
            screen_shot_url: '%SCREEN_SHOT_URL%'
            depends:
              - WebDriver
              - Db
        - \OxidEsales\Codeception\Module\OxideshopModules:
             screen_shot_url: '%SCREEN_SHOT_URL%'
        - \OxidEsales\Codeception\Module\OxideshopAdmin:
             screen_shot_url: '%SCREEN_SHOT_URL%'
             depends:
              - WebDriver
              - \OxidEsales\Codeception\Module\Oxideshop
        - \OxidEsales\Codeception\Module\Database:
            depends: Db
        - \OxidEsales\Codeception\Module\Translation\TranslationsModule:
            shop_path: '%SHOP_SOURCE_PATH%'
            paths: 'Application/views/admin_twig'
        - \OxidEsales\Codeception\Module\SelectTheme:
              depends:
                  - \OxidEsales\Codeception\Module\Database
              theme_id: '%THEME_ID%'
        - \OxidEsales\Codeception\Module\OxideshopModules:
step_decorators:
    - \Codeception\Step\Retry
